Views

Update a View

Update an existing view. This creates a new version of the view with the updated configuration. The view ID in the path identifies which view to update, and the request body contains the new view configuration. The version number will be automatically incremented.

PUT
/v2/views/{view_id}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

view_id*string

Unique identifier of the view to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.bem.ai/v2/views/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "columns": [      {        "name": "string",        "valueSchemaPath": [          "string"        ],        "displayOrderIndex": 0      }    ],    "filters": [      {        "columnName": "string",        "filterType": "equals_string"      }    ],    "aggregations": [      {        "name": "string",        "function": "count"      }    ],    "functions": [      {}    ]  }'
{
  "viewID": "string",
  "name": "string",
  "description": "string",
  "displayType": "table",
  "currentVersionNum": 0,
  "columns": [
    {
      "name": "string",
      "valueSchemaPath": [
        "string"
      ],
      "displayOrderIndex": 0
    }
  ],
  "filters": [
    {
      "columnName": "string",
      "filterType": "equals_string",
      "string": "string",
      "number": 0.1
    }
  ],
  "aggregations": [
    {
      "name": "string",
      "function": "count",
      "aggregateColumnName": "string",
      "groupByColumnName": "string"
    }
  ],
  "functions": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}